Értesítési kezelők
GET https://seo.eclick.app/api/notification-handlers/
curl --request GET \
--url 'https://seo.eclick.app/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://seo.eclick.app/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Paraméterek | Részletek | Leírás |
|---|---|---|
| search | Opcionális Húr | A keresési kifejezés. |
| search_by | Opcionális Húr | Milyen mező alapján keresel? Engedélyezett értékek: name. |
| is_enabled | Opcionális Logikai | |
| type | Opcionális Húr | Milyen mező alapján keresel? Engedélyezett értékek: email, webhook, slack, discord. |
| datetime_field | Opcionális Húr | Engedélyezett értékek: datetime, last_datetime |
| datetime_start | Opcionális Húr | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opcionális Húr | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opcionális Húr | Milyen mező szerint rendezzük az eredményeket. Engedélyezett értékek: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opcionális Húr | Az eredmények sorrendje. Engedélyezett értékek: ASC a növekvő sorrendhez, és DESC a csökkenő sorrendhez. |
| search | Opcionális Húr | A keresési kifejezés. |
| search_by | Opcionális Húr | Milyen mező alapján keresel? Engedélyezett értékek: name. |
| is_enabled | Opcionális Logikai | |
| type | Opcionális Húr | Milyen mező alapján keresel? Engedélyezett értékek: email, webhook, slack, discord. |
| datetime_field | Opcionális Húr | Engedélyezett értékek: datetime, last_datetime |
| datetime_start | Opcionális Húr | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opcionális Húr | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opcionális Húr | Milyen mező szerint rendezzük az eredményeket. Engedélyezett értékek: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opcionális Húr | Az eredmények sorrendje. Engedélyezett értékek: ASC a növekvő sorrendhez, és DESC a csökkenő sorrendhez. |
| page | Opcionális Egész szám | Az oldal száma, ahonnan az eredményeket szeretnéd. Alapértelmezett: 1. |
| results_per_page | Opcionális Egész szám | Hány eredményt szeretnél oldalanként? Engedélyezett értékek: 10, 25, 50, 100, 250, 500, 1000. Alapértelmezett: 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-06 16:00:49",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://seo.eclick.app/api/notification-handlers?page=1",
"last": "https://seo.eclick.app/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://seo.eclick.app/api/notification-handlers?page=1"
}
}
GET https://seo.eclick.app/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://seo.eclick.app/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://seo.eclick.app/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-06 16:00:49",
}
}
POST https://seo.eclick.app/api/notification-handlers
| Paraméterek | Részletek | Leírás |
|---|---|---|
| name | Kötelező Húr | - |
| type | Kötelező Húr | Engedélyezett értékek: email, webhook, slack, discord |
| Opcionális Húr | Elérhető, amikor: type = email Email | |
| webhook | Opcionális Húr | Elérhető, amikor: type = webhook Webhook URL |
| slack | Opcionális Húr | Elérhető, amikor: type = slack Slack webhook URL |
| discord | Opcionális Húr | Elérhető, amikor: type = discord Discord webhook URL |
curl --request POST \
--url 'https://seo.eclick.app/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://seo.eclick.app/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://seo.eclick.app/api/notification-handlers/{notification_handler_id}
| Paraméterek | Részletek | Leírás |
|---|---|---|
| name | Opcionális Húr | - |
| type | Opcionális Húr | Engedélyezett értékek: email, webhook, slack, discord |
| Opcionális Húr | Elérhető, amikor: type = email Email | |
| webhook | Opcionális Húr | Elérhető, amikor: type = webhook Webhook URL |
| slack | Opcionális Húr | Elérhető, amikor: type = slack Slack webhook URL |
| discord | Opcionális Húr | Elérhető, amikor: type = discord Discord webhook URL |
| is_enabled | Opcionális Logikai | - |
curl --request POST \
--url 'https://seo.eclick.app/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://seo.eclick.app/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://seo.eclick.app/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://seo.eclick.app/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://seo.eclick.app/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \